% Generated by roxygen2 (4.1.1): do not edit by hand
% Please edit documentation in R/models.R
\name{probability.3pl}
\alias{probability.3pl}
\title{3PL probability function
The probability function in the 3PL model.}
\usage{
probability.3pl(z = NULL, a = z$a, b = z$b, c = NULL, d = z$d,
  cp = z$cp, theta)
}
\arguments{
\item{z}{Optional. A list with the parameters a b and c specified by keys.}

\item{a}{The discrimination parameter}

\item{b}{The difficulty parameter. (Optional if d is specified)}

\item{c}{The guessing parameter}

\item{d}{Optional. Overrides the b parameter, it is equal to -a*b. Used in some functions.}

\item{cp}{Optional. Overrides the c parameter, it is logit(c)}

\item{theta}{The subject's latent trait.}
}
\description{
3PL probability function
The probability function in the 3PL model.
}

